### Enumeration

# GLib ThreadPriority

deprecated: 2.32

#### Declaration

    enum GLib.ThreadPriority

#### Description [src]

Thread priorities.

Deprecated since: 2.32

Thread priorities no longer have any effect.

#### Members

`G_THREAD_PRIORITY_LOW`

  A priority lower than normal.

  - Value: `0`
  - Available since: 2.0
`G_THREAD_PRIORITY_NORMAL`

  The default priority.

  - Value: `1`
  - Available since: 2.0
`G_THREAD_PRIORITY_HIGH`

  A priority higher than normal.

  - Value: `2`
  - Available since: 2.0
`G_THREAD_PRIORITY_URGENT`

  The highest priority.

  - Value: `3`
  - Available since: 2.0